updateSupplierTax
WRITEUpdate supplier tax.
POST /api/v1/purchasing/updateSupplierTax
curl -X POST '<your-host>/api/v1/purchasing/updateSupplierTax' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"supplierId": "string"
}'Parameters
ParameterType
min length 1
Input schema
schema
{
"type": "object",
"properties": {
"supplierId": {
"type": "string",
"minLength": 1
},
"taxId": {
"type": "string"
},
"vatNumber": {
"type": "string"
},
"eori": {
"type": "string"
},
"taxExempt": {
"default": false,
"type": "boolean"
},
"taxExemptionReason": {
"anyOf": [
{
"type": "string",
"enum": [
"Resale",
"Government",
"Nonprofit",
"Agriculture",
"Industrial",
"Export",
"Medical",
"Educational",
"Religious",
"Other"
]
},
{
"type": "null"
}
]
},
"taxExemptionCertificateNumber": {
"type": "string"
},
"taxExemptionCertificatePath": {
"type": [
"string",
"null"
]
}
},
"required": [
"supplierId"
]
}